﻿
/**
 * Overlay
 * -- only show for tablet and up
 */
@media only screen and (min-width: 40em) {
    .modal-overlay {
        display: flex;
        align-items: center;
        justify-content: center;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 99999;
        background-color: rgba(0, 0, 0, 0.6);
        opacity: 0;
        visibility: hidden;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        transition: opacity 0.6s cubic-bezier(0.55, 0, 0.1, 1), visibility 0.6s cubic-bezier(0.55, 0, 0.1, 1);
    }

        .modal-overlay.active {
            opacity: 1;
            visibility: visible;
        }
}
/**
 * Modal
 */
.modal {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    margin: 0 auto;
    background-color: #fff;
    width: 600px;
    max-width: 75rem;
    min-height: 20rem;
    padding: 1rem;
    border-radius: 3px;
    opacity: 0;
    overflow-y: auto;
    visibility: hidden;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: scale(1.2);
    transform: scale(1.2);
    transition: all 0.6s cubic-bezier(0.55, 0, 0.1, 1);
}

    .modal .close-modal {
        position: absolute;
        cursor: pointer;
        top: 5px;
        left: 15px;
        opacity: 0;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        transition: opacity 0.6s cubic-bezier(0.55, 0, 0.1, 1), -webkit-transform 0.6s cubic-bezier(0.55, 0, 0.1, 1);
        transition: opacity 0.6s cubic-bezier(0.55, 0, 0.1, 1), transform 0.6s cubic-bezier(0.55, 0, 0.1, 1);
        transition: opacity 0.6s cubic-bezier(0.55, 0, 0.1, 1), transform 0.6s cubic-bezier(0.55, 0, 0.1, 1), -webkit-transform 0.6s cubic-bezier(0.55, 0, 0.1, 1);
        transition-delay: 0.3s;
        background: #89ca47;
        border-radius: 50px;
        height: 24px;
        width: 24px;
        padding: 5px;
        box-sizing: content-box;
    }
    }

        .modal .close-modal svg {
            width: 1.75em;
            height: 1.75em;
        }
.modal .close-modal svg path {
fill:#fff;
}
    .modal .modal-content {
        opacity: 0;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        transition: opacity 0.6s cubic-bezier(0.55, 0, 0.1, 1);
        transition-delay: 0.3s;
    }

    .modal.active {
        visibility: visible;
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }

        .modal.active .modal-content {
            opacity: 1;
        }

        .modal.active .close-modal {
            -webkit-transform: translateY(10px);
            transform: translateY(10px);
            opacity: 1;
        }

/**
 * Mobile styling
 */
@media only screen and (max-width: 39.9375em) {
    h1 {
        font-size: 1.5rem;
    }

    .modal {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        -webkit-overflow-scrolling: touch;
        border-radius: 0;
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
        padding: 0 !important;
    }

    .close-modal {
        right: 20px !important;
    }
}
